Package com.collibra.dgc.core.api.dto.assignment

# Class AddScopeRequest

Object
AddScopeRequest

All Implemented Interfaces:
  `Serializable`

public class AddScopeRequest extends Object implements Serializable
The properties of the scope to be added.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static final class`
  `AddScopeRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddScopeRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AddScopeRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `List<UUID>`
  `getCommunityIds()`
  The list of IDs for communities assigned to the new scope.
  `String`
  `getDescription()`
  The description of the new scope.
  `List<UUID>`
  `getDomainIds()`
  The list of IDs for domains assigned to the new scope.
  `UUID`
  `getId()`
  The ID of the new scope.
  `String`
  `getName()`
  Required. The name of the new scope.
  `String`
  `getPublicId()`
  The public id that will be assigned to the new Scope.
  `int`
  `hashCode()`
  `void`
  `setCommunityIds(List<UUID> communityIds)`
  The list of IDs for communities assigned to the new scope.
  `void`
  `setDescription(String description)`
  The description of the new scope.
  `void`
  `setDomainIds(List<UUID> domainIds)`
  The list of IDs for domains assigned to the new scope.
  `void`
  `setId(UUID id)`
  The ID of the new scope.
  `void`
  `setName(String name)`
  Required. The name of the new scope.
  `void`
  `setPublicId(String publicId)`
  The public id that will be assigned to the new Scope.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AddScopeRequest

    public AddScopeRequest()

- ## Method Details

  - ### builder

    public static AddScopeRequest.Builder builder()

  - ### getId

    public UUID getId()
    The ID of the new scope. Should be unique within all scopes. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### getPublicId

    public String getPublicId()
    The public id that will be assigned to the new Scope.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### getName

    public String getName()
    Required. The name of the new scope.

  - ### getDescription

    public String getDescription()
    The description of the new scope.

  - ### getDomainIds

    public List<UUID> getDomainIds()
    The list of IDs for domains assigned to the new scope.

  - ### getCommunityIds

    public List<UUID> getCommunityIds()
    The list of IDs for communities assigned to the new scope.

  - ### setId

    public void setId(UUID id)
    The ID of the new scope. Should be unique within all scopes. It should have a format of universally unique identifier (UUID) and should not start with `00000000-0000-0000-` which is a reserved prefix.

  - ### setPublicId

    public void setPublicId(String publicId)
    The public id that will be assigned to the new Scope.

    It must be unique within all Asset Types, Complex Relation Types, Domain Types and Scopes. It should contain only ASCII letters and digits. It must start with an uppercase ASCII character. It must end with "_C". If no public id is provided, a valid public id will be generated.

  - ### setName

    public void setName(String name)
    Required. The name of the new scope.

  - ### setDescription

    public void setDescription(String description)
    The description of the new scope.

  - ### setDomainIds

    public void setDomainIds(List<UUID> domainIds)
    The list of IDs for domains assigned to the new scope.

  - ### setCommunityIds

    public void setCommunityIds(List<UUID> communityIds)
    The list of IDs for communities assigned to the new scope.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`